<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_ldap', language 'dv', version '3.8'.
 *
 * @package     enrol_ldap
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['autocreate'] = 'މޫޑުލްގައި ނެތް ކޯހަކަށް ޖާގަ އޮތްނަމަ ކޯސް އޮޓޮމެޓިކުން ހެދިދާނެއެވެ.';
$string['autocreation_settings'] = 'އޮޓޮމެޓިކުން ކޯސް ހެދުމުގެ ސެޓިންތައް';
$string['bind_dn'] = 'ޔޫސަރުން ހޯދުމަށް bind-user ބޭނުންކުރަން ބޭނުންނަމަ އެކަން މިތަނުގައި ކަނޑައަޅާށެވެ. މިސާލަކަށް މިކަހަލަ ގޮތަކަށް: "cn=ldapuser,ou=public,o=org"';
$string['bind_pw'] = 'ބައިންޑު ޔޫސަރު ހެދުމަށް ބޭނުކުރާ ޕާސްވޯޑު';
$string['category'] = 'އޮޓޯއިން ހެދޭ ކޯސްތަކުގެ ކެޓަގަރީ';
$string['contexts'] = 'LDAP ތަންތަން';
$string['course_fullname'] = 'ކޮންމެހެން ކުރަން ނުޖެހޭ: ފުރިހަމަ ނަން ހޯދުމަށް ބޭނުންވާ LDAP ކޮލަމު';
$string['course_idnumber'] = 'LDAP ގައިވާ ޔުނީކު އައިޑެންޓީފަޔާއާއި މެޕު ކުރޭ (އާއްމުކޮށް ބޭނުންކުރެވޭ ގޮތް: <em>cn</em> ނުވަތަ <em>uid</em>. އޮޓޮމެޓިކު ކޯސް ހެދުން ބޭނުންކުރާނަމަ މި ؟؟؟ ލޮކުކުރުން އެދެވިގެން ވެއެވެ.';
$string['course_settings'] = 'ކޯހަށް ބައިވެރިން ވެއްދުމުގެ ސެޓިންތައް';
$string['course_shortname'] = 'ކޮންމެހެން ކުރަން ނުޖެހޭ: ކުރު ނަން ހޯދުމަށް ބޭނުންވާ LDAP ކޮލަމު';
$string['course_summary'] = 'ކޮންމެހެން ކުރަން ނުޖެހޭ: ޚުލާސާ ހޯދުމަށް ބޭނުންވާ LDAP ކޮލަމު';
$string['editlock'] = '؟؟؟ ލޮކުކުރޭ';
$string['enrolname'] = 'LDAP';
$string['general_options'] = 'އާއްމު އިޚުތިޔާރުތައް';
$string['host_url'] = 'URL ގޮތަށް LDAP ހޯސްޓު ކަނޑައަޅާ. މިސާލަކަށް: "ldap://ldap.myorg.com/" ނުވަތަ "ldaps://ldap.myorg.com/"';
$string['memberattribute'] = 'LDAP މެމްބަރުގެ އެޓުރިބިޔުޓު';
$string['objectclass'] = 'ކޯސްތައް ހޯދުމަށް ބޭނުންކުރާ objectClass (އާއްމުކޮށް ބޭނުންކުރެވޭ ގޮތް: \'posixGroup\')';
$string['pluginname_desc'] = '<p>ކޯހަށް ބައިވެރިން ވެއްދުމުގެ ކަންތައް ކޮންޓުރޯލު ކުރުމަށް LDAP ސާވަރެއް ބޭނުންކުރެވިދާނެއެވެ. މިގޮތަށް ކަންތައްކުރުމުގައި އެ LDAP ޓުރީތަކުގައި ކޯސްތަކަށް މެޕުވާ ގުރޫޕުތަކެއް ހުންނާނެކަމަށް ބެލެވޭނެއެވެ. އަދި އެއިގެ ކޮންމެ ގުރޫޕެއް/ކޯހެއްގައި ދަރިވަރުންނަށް މެޕުވާ މެމްބަޝިޕު އެންޓުރީތަކެއް ހުންނާނެކަމަށްވެސް ބެލެވޭނެއެވެ.</p>
	<p>LDAP ގައި މި ކޯސްތައް ހެދިފައިވަނީ ގުރޫޕުތަކެއްގެ ގޮތުގައިކަމަށާއި އަދި ކޮންމެ ގުރޫޕެއްގައި ބައިވަރު މެމްބަޝިޕު ކޮލަމުތައް (<em>member</em> or <em>memberUid</em>) ކޮންމެ ޔޫސަރެއް ވަކިވަކިން ހޯދޭނެގޮތަކަށް ވާނެކަމަށް ބެލެވޭނެއެވެ.<p>
	<p>LDAP އެންރޯލްމެންޓު ބޭނުންކުރުމަށް ޔޫސަރުންގެ ކަމުދާ idnumber ކޮލަމެއް އޮންނަންޖެހޭނެއެވެ. ޔޫސަރެއް ކޯހަކަށް ވެއްދުމަށް LDAP ގުރޫޕުތަކުގައި މި idnumber ކޮލަމު މެމްބަރުންގެ ކޮލަމުތަކުގެތެރޭގައި ހިމެނެންވާނެއެވެ. މި ގޮތް އާއްމުކޮށް އެންމެ ރަނގަޅަށް މަސައްކަތް ކުރާނީ މިހާރުވެސް LDAP އޯތެންޓިކޭޝަން ބޭނުންކުރާނަމައެވެ.</p>
	<p>ޔޫސަރު ލޮގިން ވުމުން އެންރޯލުމެންޓުތައް އަޕްޑޭޓުކުރެވޭނެއެވެ. އެންރޯލުމެންޓުތައް އަބަދުވެސް އަޕްޑޭޓުލޮށް ބެހެއްޓުމަށް ސްކުރިޕްޓޭއްވެސް ރަން ކުރެވިދާނެއެވެ. <em>enrol/ldap/enrol_ldap_sync.php</em> ބަލާށެވެ.</p>
	<p>LDAP ގައި އައުގުރޫޕުތައް އުފެދުމުން އޮޓޮމެޓިކުން ކޯސްތައް ހެދުމަށްވެސް މި ޕުލަގިން ބޭނުންކުރެވިދާނެއެވެ.</p>';
$string['roles'] = 'ރޯލު މެޕުކުރުން';
$string['server_settings'] = 'LDAP ސާވަރުގެ ސެޓިންތައް';
$string['template'] = 'ކޮންމެހެން ކުރަން ނުޖެހޭ: އޮޓޯއިން ހެދޭ ކޯސްތަކަށް ކުރިން ހެދިފައިވާ ކޯހެއްގެ (ޓެމްޕުލޭޓު ކޯސް) ސެޓިންތައް ކޮޕީ ކުރެވިދާނެއެވެ. ޓެމްޕުލޭޓު ކޯހުގެ ކުރުނަން މިތާ ޖަހާށެވެ.';
$string['updatelocal'] = 'ލޯކަލް ޑޭޓާ އަޕްޑޭޓުކުރޭ';
$string['version'] = 'ކަލޭގެ ސާވަރު ބޭނުންކުރާ LDAP ޕުރޮޓޮކޯލުގެ ވާޝަން';
