<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol', language 'dv', version '3.8'.
 *
 * @package     enrol
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['enrolme'] = 'މި ކޯހަށް އަހަރެން އެންރޯލްކޮށްދީ';
$string['enrolmentnew'] = '{$a} ގައި އައު އެންރޯލްމަންޓެއް';
$string['enrolmentnewuser'] = '"{$a->course}"ގައި {$a->user} އެންރޯލްވެއްޖެ';
$string['enrolments'] = 'އެންރޯލްމަންޓްތައް';
$string['enrolperiod'] = 'އެންރޯލްމަންޓް ވެވޭ މުއްދަތު';
$string['notenrollable'] = 'މި ކޯހަށް މިވަޤުތު އެންރޯލެއް ނުކުރެވޭނެ';
$string['unenrol'] = 'އަންއެންރޯލް';
$string['unenrolme'] = '{$a} ގެ އެންރޯލްމަންޓް ކެންސަލްކޮށްދީ';
$string['unenrolroleusers'] = 'ޔޫސަރުން އަންއެންރޯލްކުރަން';
