<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'qtype_multianswer', language 'dv', version '3.8'.
 *
 * @package     qtype_multianswer
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['correctanswer'] = 'ރަނގަޅު ޖަވާބު';
$string['correctanswerandfeedback'] = 'ރަނގަޅު ޖަވާބާއި ފީޑްބެކް';
$string['decodeverifyquestiontext'] = 'ސުވާލުގެ ޓެކްސްޓް ޑިކޯޑްކޮށް ވެރިފައިކުރަން';
$string['layout'] = 'ލޭއައުޓް';
$string['layouthorizontal'] = 'ހުރަހަށް ހުރި ރޭޑީއޯބަޓަންސްތައް';
$string['layoutselectinline'] = 'ލިޔުމުގެ ތެރޭގައި ޑްރޮޕްޑައުން މެނޫ';
$string['layoutundefined'] = 'ބަޔާންނުކުރެވިފައިވާ ލޭއައުޓް';
$string['layoutvertical'] = 'ދިގަށް ހުރި ރޭޑިއޯބަޓަންސްތައް';
$string['nooptionsforsubquestion'] = 'ސުވާލު ނަންބަރު {$a->sub} (question->id={$a->id}) ގެ އޮޕްޝަންތަކެއް ނުލިބުނު';
$string['noquestions'] = '<strong>{$a}</strong> ގައި އެއްވެސް ސުވާލެއް ނުހިމެނޭ';
$string['pluginname'] = 'އެމްބެޑްކުރެވިފަ ހުރި ޖަވާބުތައް';
$string['pluginname_link'] = 'question/type/multianswer';
$string['pluginnameadding'] = 'އެމްބެޑެޑް ޖަވާބުތަކެއް އިތުރުކުރެވެނީ';
$string['pluginnameediting'] = 'އެމްބެޑެޑް ކުރެވިފަވާ ޖަވާބުތަކަށް ބަދަލުގެންނަނީ';
$string['qtypenotrecognized'] = 'ސުވާލުގެ ބާވަތް {$a} ނަގައެއް ނުގަނެވުނު';
$string['questiondefinition'] = 'ސުވާލުގެ ބަޔާން';
$string['questionnotfound'] = 'ސުވާލުބައިގެ {$a} ސުވާލެއް ނުފެނުނު';
$string['questionsmissing'] = 'ރަނގަޅު ސުވާލެއް ނެތް. މަދުވެގެން އެއް ސުވާލު ހަދާ';
$string['unknownquestiontypeofsubquestion'] = 'ސުވާލުބައި {$a->sub} ގައި ހިމެނޭ ސުވާލުގެ ބާވަތް {$a->type} އަކީ ކޮން ބާވަތެއް ކަމެއް ނޭނގޭ';
