<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'quiz', language 'dv', version '3.8'.
 *
 * @package     quiz
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['action'] = 'އަމަލު';
$string['adaptive'] = 'އެޑެޕްޓިވް މޯޑް';
$string['addingquestion'] = 'ސުވާލެއް އިތުރު ކުރުން';
$string['addingquestions'] = 'މި ޞަފުޙާ އަކީ ސުވާލުތަކުގެ ޑޭޓާބޭސް ބަލަހައްޓާ ޞަފުޙާ. ފަސޭހަ ކަމާއެކީ ބެލެހެއްޓުމަށްޓަކައި ސުވާލުތައް ހުންނާނީ ބައިތަކަކަށް ބަހާލެވިފައެވެ (ކެޓަގަރައިޒް ކުރެވިފައި). މި ސުވާލުތައް ޝާއިޢު ކުރަން ބޭނުން ނަމަ ތިބާގެ ކޯހުގެ ކޮންމެ ކުއިޒެއްގައި ވިޔަސް އަދި އެހެން ކޯހެއްގެ ކުއިޒެއްގައި ވިޔަސް ބޭނުން ކުރެވިދާނެ.  <br /><br /> ސުވާލުގެ ބައެއް (ކެޓަގަރީއެއް) ޚިޔާރު ކުރުމަށް ފަހު ނުވަތަ އައު ކެޓަގަރީއެއް ހެދުމަށް ފަހު، އެކަޓަގަރީއެއްގައި އަމިއްލަ އަށް ސުވާލުތައް އުފައްދައި އަދި އެކެޓަގަރީގައި ހުރި ސުވާލުތަކަށް ބަދަލު ގެނަސް ވެސް ހެދިދާނެ. މި ސުވާލުތަކުގެ ތެރެއިން ބޭނުން ސުވާލެއް މި ޞަފްޙަގެ އަނެއް ފަރާތުގައި ތިބާގެ ކުއިޒަށް އިތުރު ކުރެވިދާނެ.';
$string['addmoreoverallfeedbacks'] = 'އިތުރު {no} ން ފީޑްބެކް ފީލްޑްތައް އިތުރުކުރަން';
$string['addquestions'] = 'ސުވާލުތަކެއް އިތުރު ކުރުން';
$string['addquestionstoquiz'] = 'މި ކުއިޒަށް ސުވާލުތަކެއް އިތުރު ކުރުން';
$string['addrandom'] = '{$a} ރެންޑަމް ސުވާލުތައް އިތުރުކުރަން';
$string['addrandom1'] = '<< އިތުރު ކުރޭ';
$string['addrandom2'] = 'ހޮވާލެވޭ ސުވާލުތަކެއް';
$string['addselectedtoquiz'] = 'ނަގާފައިވާ ސުވާލު ކުއިޒަށް އިތުރު ކުރޭ';
$string['addtoquiz'] = 'ކުއިޒަށް އިތުރު ކުރޭ';
$string['affectedstudents'] = '{$a} އަސަރުކުރި';
$string['allattempts'] = 'ޖުމުލަ މަސައްކަތް ކުރެވުނު ޢަދަދު';
$string['allinone'] = 'ވަކި ހައްދެއް ނެތި/ބޭނުން ވަރަކަށް';
$string['allowreview'] = 'ރިވިއު ހުއްދަ';
$string['alreadysubmitted'] = 'ހީވާ ގޮތުން ކުރިންވެސް މިއަށް ވަނީ މަސައްކަތް ކުރެވިފައި';
$string['alternativeunits'] = 'އަލްޓަރނެޓިވް ޔުނިޓްތައް';
$string['alwaysavailable'] = 'އަބަދުވެސް ލިބެން ހުރި';
$string['analysisoptions'] = 'ތަހުލީލު ކުރެވޭ ގޮތްތައް';
$string['analysistitle'] = 'އައިޓަމްތައް ތަހުލީލު ކުރާ ޓޭބަލް';
$string['answer'] = 'ޖަވާބު';
$string['answerhowmany'] = 'އެކެއް ނުވަތަ ބައިވަރު ޖަވާބުތައް';
$string['answers'] = 'ޖަވާބުތައް';
$string['answersingleno'] = 'އެއް ޖަވާބަށްވުރެ ގިނަ ޖަވާބު ހުއްދަ';
$string['answersingleyes'] = 'ހަމަ އެކަނި އެންމެ ޖަވާބެއް';
$string['answertoolong'] = '{$a} (255 char. max) ވަނަ ލައިނަށް ފަހު ޖަވާބު މާ ދިގު';
$string['aon'] = 'AON ފޯމެޓް';
$string['attempt'] = 'މަސައްކަތް ކުރެވުނު {$a}';
$string['attemptduration'] = 'ހޭދަވި ވަގުތު';
$string['attemptedon'] = 'މަސައްކަތް ކުރި';
$string['attemptfirst'] = 'މަސައްކަތް ކުރި ފުރަތަމަ ފަހަރު';
$string['attemptincomplete'] = 'ތިމަސައްކަތް  (ގެ {$a}) އަދި ފުރިހަމަ އެއް ނުވޭ';
$string['attemptlast'] = 'އެންމެ ފަހުން މަސައްކަތް ކުރެވުނު ފަހަރު';
$string['attemptquiznow'] = 'ކުއިޒަށް މަސައްކަތް ކޮށްލާ';
$string['attempts'] = 'މަސައްކަތް ކުރެވުނު ޢަދަދު';
$string['attemptsallowed'] = 'މަސައްކަތް ކުރެވޭނެ ޢަދަދު';
$string['attemptsdeleted'] = 'ކުއިޒަށް ކުރެވުނު މަސައްކަތްތައް ފުހެލައިފި';
$string['attemptselection'] = 'ކޮންމެ ޔޫސަރެއްގަ މަސައްކަތް އެނަލައިޒްކުރަންވީ ފަހަރު ޚިޔާރުކުރާ';
$string['attemptsexist'] = 'އިތުރަށް ދެން ސުވާލެއް ފުހެ ނުވަތަ އިތުރު ކޮށެއް ނުހެދޭނެ';
$string['attemptsnum'] = 'މަސައްކަތްކުރެވުނު ފަހަރު: {$a}';
$string['attemptsnumthisgroup'] = 'މަސައްކަތްކުރެވުނު ފަހަރު: {$a->total} ({$a->group}  މިގްރޫޕުން )';
$string['attemptsnumyourgroups'] = 'މަސައްކަތްކުރެވުނު ފަހަރު: {$a->total} ({$a->group}  ތިބާގެ ގްރޫޕުތަކުން )';
$string['attemptsonly'] = 'ހަމައެކަނި ދަރިވަރުން ކުރެވުނު މަސައްކަތްތަކާއެކު ދައްކާ';
$string['attemptsunlimited'] = 'ބޭނުންވަރަކަށް މަސައްކަތްކުރެވޭގޮތަށް';
$string['back'] = 'ޕްރިވިއު ސުވާލަށް ފަހަތަށް';
$string['backtoquestionlist'] = 'ފަހަތަށް ސުވާލު ލިސްޓަށް';
$string['backtoquiz'] = 'ކުއިޒަށް ބަދަލު ގެނައުމަށް ފހަތަށް';
$string['bestgrade'] = 'އެންމެ ރަނގަޅު ގުރޭޑު';
$string['bothattempts'] = 'މަސައްކަތްކޮށްފަ އަދި ނުކުރާ ކުދިން ވަކިވަކިން ދައްކާ';
$string['calculated'] = 'ހިސާބު ހަދައިފައި';
$string['calculatedquestion'] = 'ދަރިވަރުން ކުރެވުނު މަސައްކަތްތަކާ އެކުގަ އާއި މަސައްކަތްތަކާއި ނުލައި ދައްކާ';
$string['cannotcreatepath'] = 'ޕާތެއް ނުހެދޭނެ ({$a})';
$string['cannoteditafterattempts'] = 'ކުއިޒަށް ކުރެވެމުންދާ މަސައްކަތްތަކެއް އެބަހުރި އެހެން ކަމުން ސުވާލެއް އުނިކޮށް އިތުރެއް ނުކުރެވޭނެ';
$string['cannotinsert'] = 'ސުވާލެއް ނުލެވޭނެ';
$string['cannotopen'] = 'ނުހުޅުވުޅު އެކްސްޕޯޓު ފައިލު ({$a})';
$string['cannotwrite'] = 'އެކްސްޕޯޓު ކުރި ފައިލަށް ({$a}) ނުލިޔެވޭނެ';
$string['caseno'] = 'ނޫން، ކޭސް މުހިއްމެއް ނޫން';
$string['casesensitive'] = 'ކޭސް އަށް ބެލޭނެ';
$string['caseyes'] = 'އާ، ކޭސް ދިމާ ވާންޖެހޭ';
$string['categoryadded'] = '\'{$a}\' ބައި (ކެޓަގަރީ) އިތުރު ކޮށްފި';
$string['categorydeleted'] = '\'{$a}\' ބައި (ކެޓަގަރީ) ފުހެލައިފި';
$string['categorynoedit'] = 'މި ބައިގައި (ކެޓަގަރީގައި) ބަދަލު ކުރުމުގެ ބާރެއް ނެތް';
$string['categoryupdated'] = 'މިބައި (ކެޓަގަރީ) ވަނީ ކާމިޔާބާއެކު އަޕްޑޭޓު ކޮށްފައި';
$string['close'] = 'ވިންޑޯ ކްލޯޒް ކޮށްލާ';
$string['closebeforeopen'] = 'ކުއިޒު އަޕްޑޭޓެއް ނުކުރެވުނު. ކުއިޒަށް ނުވަދެވޭ ތާރީޚު ކުއިޒަށް ވަދެވޭ ތާރީޚަށްވުރެ ކުރި';
$string['closepreview'] = 'ޕްރިވިއު ކްލޯޒް ކޮށްލާ';
$string['closereview'] = 'ރިވިއު ކްލޯޒް ކޮށްލާ';
$string['comment'] = 'ޚިޔާލު/ފާޑު';
$string['commentorgrade'] = 'ކޮމެންޓެއް ކުރަން ނުވަތަ ގްރޭޑު އޯވަރރައިޑްކުރަން';
$string['comments'] = 'ޚިޔާލުތައް/ފާޑު ކިޔުންތައް';
$string['completedon'] = 'ނިންމައިފައިވަނީ';
$string['confirmclose'] = 'މި މަސައްކަތް ބަންދުކޮށްލަނީ. ބަންދުކޮށްލެވިއްޖެނަމަ ޖަވާބުތަކެއް ދެން އިތުރަކަށް ބަދަލެއް ނުކުރެވޭނެ.';
$string['confirmserverdelete'] = 'ޔަގީންތަ ހަމަ <b>{$a}</b> ސާވަރު ލިސްޓުން އުނިކުރަން ބެނުންކަން؟';
$string['containercategorycreated'] = 'މި ކެޓަގަރީ ހެދިފައިމިވަނީ، ތިރީގައި ބަޔާންކުރެވިފައިވާ ސަބަބުތަކާއިހެދި، ސައިޓު ލެވެލް އަށް ގެންދެވިފައިވާ އޮރިޖިނަލް ކެޓަގަރީތައް ލުމަށެވެ.';
$string['continueattemptquiz'] = 'އެންމެ ފަހުން ހަދަން މަސައްކަތްކުރި މިކުއިޒު ކުރިއަށް ގެންދަންވީތަ؟';
$string['continuepreview'] = 'އެންމެ ފަހުގެ ޕްރިވިއު ކުރިއަށް ގެންދަންވީތަ؟';
$string['copyingfrom'] = '\'{$a} ސުވާލުގެ ކޮޕީއެއް ހަދަނީ';
$string['copyingquestion'] = 'ސުވާލެއް ކޮޕީކުރަނީ';
$string['correct'] = 'ރަނގަޅު';
$string['correctanswer'] = 'ރަނގަޅު ޖަވާބު';
$string['correctanswerformula'] = 'ރަނގަޅު ޖަވާބުގެ ފޮމިއުލާ';
$string['correctansweris'] = 'ރަނގަޅު ޖަވާބު: {$a}';
$string['correctanswerlength'] = 'ފާހަގަކޮށްލެވޭ އަދަދުތައް';
$string['correctanswers'] = 'ރަނގަޅު ޖަވާބުތައް';
$string['correctanswershows'] = 'ރަނގަޅު ޖަވާބު ދައްކަނީ';
$string['corrresp'] = 'ރަނގަޅު އިޖާބަ';
$string['countdown'] = 'ކައުންޓްޑައުން';
$string['countdownfinished'] = 'ކުއިޒު ބަންދުކުރެވެނީއެވެ. ތިބާގެ ޖަވާބުތައް މިހާރު ސަބްމިޓުކުރާށެވެ.';
$string['countdowntenminutes'] = 'މި ކުއިޒު 10 މިނެޓުތެރޭގައި ބަންދުކުރެވޭނެއެވެ.';
$string['coursetestmanager'] = 'ކޯހުގެ ޓެސްޓު ބަލަހައްޓާ ފޯމެޓު';
$string['createfirst'] = 'ފުރަތަމަ ކުރު ޖަވާބުގެ ސުވާލުތަކެއް ހަދަން ޖެހޭނެއެވެ.';
$string['createmultiple'] = 'ތަރުތީބެއްނެތި ހޮވާލެވޭ ސުވާލުތަކެއް ކުއިޒަށް އިތުރުކުރޭ';
$string['createnewquestion'] = 'އައު ސުވާލެއް ހަދާ';
$string['custom'] = 'އަމިއްލަ ފޯމެޓު';
$string['dataitemneed'] = 'ރަނގަޅު ސުވާލެއް ނެގުމަށް މަދުވެގެން އެއް ޑޭޓާ ސެޓު އިތުރުކުރަން ޖެހޭނެއެވެ.';
$string['datasetdefinitions'] = '{$a} ކެޓަގަރީއަށްވާ އަލުން ބޭނުންކުރެވޭ ޑޭޓާ ސެޓު ޑެފިނިޝަންތައް';
$string['datasetnumber'] = 'ނަންބަރު';
$string['daysavailable'] = 'ލިބޭނެ ދުވަސް';
$string['decimaldigits'] = 'ގުރޭޑުތަކުގައި ޑެސިމަލް އަދަދުތައް';
$string['decimalpoints'] = 'ޑެސިމަލް ޕޮއިންޓު';
$string['default'] = 'ޑީފޯލްޓު';
$string['defaultgrade'] = 'ސުވާލުގެ ޑީފޯލްޓު ގުރޭޑު';
$string['defaultinfo'] = 'ސުވާލުތަކުގެ ޑީފޯލްޓު ކެޓަގަރީ';
$string['delay1'] = 'ފުރަތަމަ ފަހަރާއި ފެވެނަ ފަހަރުގެ ދެމެދުގައި ދޭންވީ ވަގުތު';
$string['delay2'] = 'ފަހުގެ މަސައްކަތްތަކުގެ ދެމެދުގައި ހިނގައިދިޔަ ވަޤުތު';
$string['deleteattemptcheck'] = 'މި މަސައްކަތްތައް ފުހެލަންވީތޯ ޔަޤީންކޮށްލާ';
$string['deleteselected'] = 'ނަގާފައިވާ ސުވާލުތައް ފޮހެލާ';
$string['deletingquestionattempts'] = 'ހަދަން މަސައްކަތް ކޮށްފައިވާ ؟؟؟';
$string['description'] = 'ތަފްޞީލު';
$string['displayoptions'] = 'ދެއްކުމުގެ އިޚުތިޔާރުތައް';
$string['download'] = 'އެކްސްޕޯޓުކުރި ކެޓަގަރީ ފައިލު ޑައުންލޯޑުކުރުމަށް ފިއްތާލާ';
$string['downloadextra'] = '(/backupdata/quiz ފޯލްޑާތެރޭގައިވެސް ފައިލު ސްޓޯކުރެވިފައިވޭ)';
$string['duplicateresponse'] = 'އެއްކަހަލަ ޖަވާބެއް ދިނުމުގެ ސަބަބުން މި ސަބްމިޝަން ވަނީ ދޫކޮށްލެވިފައެވެ.';
$string['eachattemptbuildsonthelast'] = 'ކޮންމެ މަސައްކަތެއް ބިނާވެގެންވާނީ ކުރީގަ މަސައްކަތަށް';
$string['editcategories'] = 'ކެޓަގަރީތަކަށް ބަދަލުގެނެއުން';
$string['editcategory'] = 'ކެޓަގަރީއަށް ބަދަލުގެނެއުން';
$string['editcatquestions'] = 'ކެޓަގަރީގައިވާ ސުވާލުތަކަށް ބަދަލުގެނައުން';
$string['editingquestion'] = 'ސުވާލެއް ބަދަލުކުރެވެނީ';
$string['editingquiz'] = 'ކުއިޒެއް ބަދަލުކުރެވެނީ';
$string['editingquiz_link'] = 'mod/quiz/edit';
$string['editqcats'] = 'ސުވާލުތަކުގެ ކެޓަގަރީތައް ބަދަލުކުރެވެނީ';
$string['editquestions'] = 'ސުވާލުތައް ބަދަލުކުރެވެނީ';
$string['editquiz'] = 'ކުއިޒު ބަދަލުކުރޭ';
$string['editquizquestions'] = 'ކުއިޒުގެ ސުވާލުތަކަށް ބަދަލުގެނޭ';
$string['emailconfirmbody'] = '{$a->username} އަށް،

	\'{$a->coursename}\' ގައިވާ \'{$a->quizname}\' އަށް {$a->submissiontime} ގަޑީގައި ތިބާގެ ޖަވާބުތައް ސަބްމިޓު ކުރިކަމަށްޓަކައި ޝުކުރުވެރިވަމެވެ.

	މި އީމެއިލަކީ ތިބާގެ ޖަވާބުތައް އަހަރެމެންނަށް ލިބުނުކަން ޔަގީންކުރުމަށް ފޮނުވިފައިވާ އީމެއިލެކެވެ.

	{$a->quizurl} އިން މިކުއިޒަށް ދެވޭނެއެވެ.';
$string['emailconfirmsubject'] = 'ކުއިޒު ސަބްމިޓުކުރިކަން ޔަގީންކުރުން: {$a->quizname}';
$string['emailnotifybody'] = '{$a->username} އަށް';
$string['emailnotifysubject'] = '{$a->studentname} {$a->quizname} ކުއިޒު ހަދައި ނިންމައިފިއެވެ.';
$string['errorinquestion'] = 'ސުވާލުގައި ކުށެއްވޭ';
$string['errormissingquestion'] = 'މައްސަލަ: ސުވާލު ID {$a} ގައިވާ ސުވާލު ސިސްޓަމުގައެއް ނެތް';
$string['errornotnumbers'] = 'ޖަވާބުތައް ވާންވާނީ ހިސާބުއަކުރަށް';
$string['essay'] = 'މަޒުމޫނު';
$string['essayquestions'] = 'ސުވާލުތައް';
$string['exportcategory'] = 'ކެޓަގަރީ އެކްސްޕޯޓުކުރޭ';
$string['exporterror'] = 'އެކްސްޕޯޓުކުރުމުގެ ތެރޭގައި މައްސަލައެއް ކުރިމަތިވެއްޖެ';
$string['exportingquestions'] = 'ސުވާލުތައް ދަނީ ފައިލަކަށް އެކްސްޕޯޓު ކުރެވެމުންނެވެ.';
$string['exportname'] = 'ފައިލުގެ ނަން';
$string['exportquestions'] = 'ސުވާލުތައް ފައިލަކަށް އެކްސްޕޯޓުކުރޭ';
$string['false'] = 'ނުބައި';
$string['feedback'] = 'ފީޑްބެކް';
$string['feedbackerrorboundaryformat'] = 'ފީޑްބެކް ގްރޭޑުގެ ބައުންޑްރީ ހުންނަންވާނީ އިންސައްތައިން ނުވަތަ ނަންބަރެއް. ބައުންޑަރީއަށް ލިޔުނު {$a} ދެނެއެއްނުގަނެވުނު';
$string['feedbackerrorboundaryoutofrange'] = 'ފީޑްބެކް ގްރޭޑް ހުންނަންވާނީ 0% އާއި 100% ދެމެދުގައި. ލިޔުނު ބައުންޑާރި {$a} އިނީ އޭގެން ބޭރުގަ.';
$string['feedbackerrorjunkinboundary'] = 'ހުސްކޮށް ދޫނުކޮށް ހުރިހާ ގްރޭޑް ބައުންޑަރީ ފޮށިތައް ފުރަންވާނެ.';
$string['feedbackerrorjunkinfeedback'] = 'ފީޑްބެކް ފޮށިތައް ހުސްނުކޮށް ފުރަންޖެހޭނެ.';
$string['feedbackerrororder'] = 'ފީޑްބެކް ގްރޭޑް ބައުންޑަރީތައް ހުންނަންވާނީ އާޑަރަށް، އެންމެ މަތި ފުރަތަމަ. ލިޔުނު {$a} އިނީ އޯޑަރަކަށް ނޫން.';
$string['file'] = 'ފައިލު';
$string['fileformat'] = 'ފައިލު ފޯމެޓު';
$string['fillcorrect'] = 'ރަގަޅުން ފުރާލަން';
$string['filloutnumericalanswer'] = 'މަދުވެގެން އެއް ޖަވާބު އަދި ޓޮލަރަންސްއެއް ދޭންވާނެ. ރަގަޅު ފުރަތަމަ ޖަވާބު ބޭނުންކުރެވޭނީ ސްކޯއާއި ފީޑްބެކް ދެނެގަންނަން.';
$string['filloutoneanswer'] = 'މަދުވެގެން ރަނގަޅު އެއްޖަވާބު ދޭންވާނެ. ހުސްކޮށް ދޫކޮށްފަ ހުންނަޖަވާބުތައް ބޭނުމެއް ނުކުރެވޭނެ. \'*\' ބޭނުންކުރެވޭނެ ކޮންމެ އަކުރަކަށް ނިސްބަތްކުރަންވެސް. ސްކޯ އާއި ފީޑްބެކް ދެނެގަންނަން ފުރަތަމަ ރަގަޅު ޖަވާބު ބޭނުންކުރެވޭނެ';
$string['filloutthreequestions'] = 'މަދުވެގެން ސުވާލާ ގުޅޭ ޖަވާބު ދޭންވާނެ. ނުބައި ޖަވާބު ލުމަށް ހުސް ސުވާލަކާއެކު ނުބައި ޖަވާބެއް ދެވިދާނެ.';
$string['fillouttwochoices'] = 'މަދުވެގެން ދެ އިޙްތިޔާރު ފުރިހަމަ ކުރަންޖެހޭނެ. ހުސްކޮށް ހުންނަ އިޙްތިޔާރުތައް ބޭނުމެއް ނުކުރެވޭނެ.';
$string['finishreview'] = 'ރިވިއު ނިންމަން';
$string['forceregeneration'] = 'އަލުން ޖެނެރޭޓްކުރަން މަޖުބޫރުކުރަން';
$string['formatnotfound'] = 'އިމްޕޯޓް/އެކްސްޕޯޓް ފޯމެޓް {$a} އެއް ނުފެނުނު';
$string['fractionsaddwrong'] = 'އިޙްތިޔާރުކުރެވުނު ހުރިހާ ގްރޭޑެއް އެއްކޮށްލުމުން 100% ހަމައެއްނުވޭ.<br /> އެއްކުރީމަ ހަމަވަނީ {$a}%<br />. ފަހަތަށްގޮސް ސުވާލު ރަގަޅުކުަރަން ބޭނުންތަ؟';
$string['fractionsnomax'] = 'ކޮންމެވެސް އެއް ޖަވާބުތަކެއް އެއްކޮށްލުމުން 100% ހަމަވާންވާނެ އެހެރުން މި ސުވާލަށް ފުރިހަމަ ގްރޭޑެއް ލިބޭނީ. <br /> ފަހަތަށްގޮސް މި ސުވާލު ރަގަޅުކުރަން ބޭނުންތަ؟';
$string['fromfile'] = 'ފައިލުން';
$string['generalfeedback'] = 'އާންމު ފީޑްބެކް';
$string['grade'] = 'ދަރަޖަކުރޭ';
$string['gradeall'] = 'ހުރިހައި އެއްޗެއް ދަރަޖަކުރޭ';
$string['gradeaverage'] = 'އެވަރެޖު ގުރޭޑު';
$string['gradeboundary'] = 'ގްރޭޑް ބައުންޑަރީ';
$string['gradeessays'] = 'މަޒުމޫނުތައް ދަރަޖަކުރޭ';
$string['gradehighest'] = 'އެންމެ މަތީ ގުރޭޑު';
$string['grademethod'] = 'ދަރަޖަކުރާ ގޮތް';
$string['gradesdeleted'] = 'ކުއިޒުގެ ގުރޭޑުތައް ފޮހެލެވިއްޖެ';
$string['gradesofar'] = '{$a->method}: {$a->mygrade} / {$a->quizgrade}';
$string['gradingdetails'] = 'މި ސަބްމިޝަންގެ މާކުސް: {$a->raw}/{$a->max}';
$string['gradingdetailsadjustment'] = 'ކުރީގެ ކުށްތަކަށް ބެލުމަށްފަހު މިހާރު ވަނީ <strong>{$a->cur}/{$a->max}</strong>.';
$string['gradingdetailspenalty'] = 'މި ސަބްމިޝަން އަށް {$a} އަދަބުދެވޭނެ';
$string['gradingdetailszeropenalty'] = 'މި ސަބްމިޝަނަކަށް އެއްވެސް އަދަބެއް ނެތް';
$string['guestsno'] = 'ސޮރީ، ގެސްޓު ޔޫސަރަކަށް ކުއިޒެއް ނުފެންނާނެ އަދި ކުއިޒަކަށް މަސައްކަތެއް ވެސް ނުކުރެވޭނެ';
$string['history'] = 'އިޖާބަތަކުގެ ހިސްޓްރީ';
$string['imagedisplay'] = 'ދައްކަންވީ ފޮޓޯ';
$string['import_link'] = 'question/import';
$string['importcategory'] = 'ކެޓަގަރީ އިންޕޯޓުކުރޭ';
$string['importerror'] = 'އިންޕޯޓުކުރުމުގެ ތެރޭގައި މައްސަލައެއް ކުރިމަތިވެއްޖެ';
$string['importfilearea'] = 'ކޯހުގެ ފައިލުތަކުގެތެރޭގައި އިން ފައިލަކުން އިންޕޯޓުކުރޭ...';
$string['importfileupload'] = 'ފައިލު އަޕްލޯޑުން އިންޕޯޓުކުރޭ...';
$string['importfromthisfile'] = 'މި ފައިލުން އިންޕޯޓުކުރޭ...';
$string['importingquestions'] = 'ފައިލުން {$a} ސުވާލު އިންޕޯޓުކުރެވެނީ';
$string['importmax10error'] = 'ސުވާލުގައި މައްސަލައެއް އެބައުޅެއެވެ. 10 ޖަވާބަށްވުރެ ގިނަ ޖަވާބު އޮވެގެން ނުވާނެއެވެ.';
$string['importmaxerror'] = 'ސުވާލުގައި މައްސަލައެއް އެބައުޅެއެވެ. އެއީ މާގިނަ ޖަވާބުތައް ހުރީމައެވެ.';
$string['importquestions'] = 'ސުވާލުތައް ފައިލުން އިންޕޯޓުކުރޭ';
$string['incorrect'] = 'ރަނގަޅެއްނޫން';
$string['indicator:cognitivedepthdef_link'] = 'Learning_analytics_indicators#Cognitive_depth';
$string['indicator:socialbreadthdef_link'] = 'Learning_analytics_indicators#Social_breadth';
$string['indivresp'] = 'ކޮންމެ އައިޓަމަކަށް ވަކިވަކި މީހުން ދީފައިވާ އިޖާބަތައް';
$string['info'] = 'މަޢުލޫމާތު';
$string['introduction'] = 'ތަޢާރަފު';
$string['invalidcategory'] = 'ކެޓަގަރީ ID ރަނގަޅެއް ނޫން';
$string['invalidsource'] = 'ސޯސްކަމުދާ ކަމަކަށް ނުބެލެވޭ';
$string['invalidsourcetype'] = 'ސޯސް ބާވަތް ކަމަކުނުދޭ';
$string['lastanswer'] = 'ތިބާގެ އެންމެފަހުގެ ޖަވާބަކީ';
$string['link'] = 'ލިންކު';
$string['listitems'] = 'ކުއިޒުގައި ހުރި އައިޓަމުތަކުގެ ލިސްޓު';
$string['literal'] = 'ލިޓަރަލް';
$string['makecopy'] = 'އައުސުވާލެއްގެ ގޮތުގައި ސޭވްކުރޭ';
$string['managetypes'] = 'ސާވަރުތަކާއި އެކި ވައްތަރުގެ ސުވާލުތައް މެނޭޖު ކުރުން';
$string['manualgrading'] = 'ދަރަޖަކުރުން';
$string['mark'] = 'ސަބްމިޓް';
$string['markall'] = 'ސަފުހާ ސަބްމިޓުކުރޭ';
$string['marks'] = 'މާކުސް';
$string['match'] = 'ގުޅޭ';
$string['matchanswer'] = 'ގުޅޭ ޖަވާބު';
$string['matchanswerno'] = 'ގުޅޭ ޖަވާބު {$a}';
$string['max'] = 'އެންމެ މަތި';
$string['min'] = 'އެންމެ ތިރި';
$string['minutes'] = 'މިނެޓު';
$string['missingcorrectanswer'] = 'ރަނގަޅު ޖަވާބު ކަނޑައަޅަން ޖެހޭނެ';
$string['missingitemtypename'] = 'ނަން ނެތް';
$string['missingquestion'] = '{$a} ލައިނުގެ ފަހަތުގައި ސުވާލު ލޭބެލް ނެތް';
$string['modulename'] = 'ކުއިޒު';
$string['modulename_link'] = 'mod/quiz/view';
$string['modulenameplural'] = 'ކުއިޒުތައް';
$string['multichoice'] = 'އިޚްތިޔާރިތައް';
$string['multipleanswers'] = 'މަދުވެގެން އެއް ޖަވާބު އިޚްތިޔާރު ކުރޭ';
$string['name'] = 'ނަން';
$string['newattemptfail'] = 'މައްސަލައެއް: ކުއިޒްގައި އައު މަސައްކަތެއް ނުފެށުނު';
$string['noanswers'] = 'ޖަވާބެއް ނެގިފައެއް ނެތް';
$string['noattempts'] = 'މި ކުއިޒަށް އެއްވެސް މަސައްކަތެއް ކުރެވިފައެއް ނެތް';
$string['noattemptstoshow'] = 'ދައްކާކަށް ކުއިޒުގެ އެއްވެސް މަސައްކަތެއް ނެތް';
$string['nocategory'] = 'ނުބައި ނުވަތަ އެއްވެސް ބައެއް (ކެޓަގަރީއެއް) ނެގިފައެއް ނެތް';
$string['nocommentsyet'] = 'އަދި އެއްވެސް ފާޑުކިއުމެއް/ޚިޔާލެއް ނެތް';
$string['noconnection'] = 'މި ސުވާލު ކުރިއަށް ގެންދާކަށް އެއްވެސް ވެބްގެ ޚިދުމަތަކާ މިވަގުތު ގުޅުމެއް ނެތް. އެޑުމިނިސްޓުރޭޓާއަށް އަންގާ.';
$string['nodataset'] = 'ނެތް - އެއީ ވައިލްޑްކާޑެއް ނޫން';
$string['noessayquestionsfound'] = 'އަމިއްލައަށް ގްރޭޑު ކޮށްފައިވާ ސުވާލެއް ފެންނާކަށް ނެތް';
$string['nogradewarning'] = 'މި ކުއިޒްއިނީ ގްރޭޑްނުކުރެވި އެހެންވީމަ އޯވަރޯލް ފީޑްބެކްއެއް ނުދެވޭނެ';
$string['nomoreattempts'] = 'އިތުރަކަށް ކުއިޒަކަށް މަސައްކަތެއް ނުކުރެވޭނެ';
$string['none'] = 'އެއެވެސް އެއްޗެއް ނޫން';
$string['nopossibledatasets'] = 'ގުޅޭ ޑޭޓާ ސެޓެއް ނެތް';
$string['noquestionintext'] = 'ސުވާލުގައި އެމްބެޑްކުރެވިފަ ހުރި ސުވާލެއް ނެތް';
$string['noquestions'] = 'އަދި އެއްވެސް ސުވާލެއް ލެވިފައެއް ނެތް';
$string['noquestionsfound'] = 'އެއްވެސް ސުވާލެއް ނެތް';
$string['noresponse'] = 'އެއްވެސް އިޖާބައެއް (ރެސްޕޯންސެއް) ނެތް';
$string['noreview'] = 'މި ކުއިޒު އަލުން ބެލުމުގެ ހުއްދައެއް ނެތް';
$string['noreviewuntil'] = '{$a} ހިސާބަށް މި ކުއިޒު އަލުން ބެލުމުގެ ހުއްދައެއް ނެތް';
$string['noscript'] = 'ކުރިއަށް ގެންދިއުމަށްޓަކައި ޖާވާސްކްރިޕްޓް އެނޭބަލް ކުރަން ޖެހޭނެ';
$string['notavailabletostudents'] = 'ނޯޓު: މި ކުއިޒު މިހާރު ތިޔަ ދަރިވަރުންނަށް ލިބޭކަށް ނެތް';
$string['notenoughsubquestions'] = 'ފުދޭވަރަށް ސަބް-ސުވާލުތައް ބަޔާންކުރެވިފައެއްނުވޭ.<br />  ފަހަތަށްގޮސް އެ ސުވާލު ރަގަޅުކުރަން ބޭނުންތަ؟';
$string['notimedependentitems'] = 'ކުއިޒް މޮޑިއުލްގައި ޓައިމް ޑިޕެންޑަންޓް އައިޓަމްތައް ސަޕޯޓެއް ނުކުރޭ. އެހެން އައިޓަމެއް އިޙްތިޔާރު ކުރަންވީތޯ (ނުވަތަ ހަމަ މި އައިޓަމް ބޭނުންކުރަންވީތަ)؟';
$string['numattempts'] = '{$a->studentnum} {$a->studentstring} ވަނީ  {$a->attemptnum} ފަހަރު މަސައްކަތް ކުރެވިފައި';
$string['numattemptsmade'] = '{$a} ފަހަރަށް ވަނީ މި ކުއިޒަށް މަސައްކަތް ކޮށްފައި';
$string['numberabbr'] = '#';
$string['numerical'] = 'ހިސާބު އަކުރު';
$string['onlyteachersexport'] = 'ހަމައެކަނި މުދައްރިސުންނަށް ސުވާލު އެކްސްޕޯޓު ކުރެވޭނީ';
$string['onlyteachersimport'] = 'ސުވާލު އިމްޕޯޓު ކުރެވެނީ ހަމަ އެކަނި ބަދަލު ގެނައުމުގެ ހުއްދަ އޮތް މުދައްރިސުންނަށް';
$string['openclosedatesupdated'] = 'ކުއިޒު ހުޅުވޭ އަދި ބަންދު ކުރެވޭ ތާރީޚަށް ބަދަލު ގެނެސްފި';
$string['optional'] = 'އިޚްތިޔާރީ';
$string['outof'] = '{$a->maxgrade} އަކުން {$a->grade}';
$string['outofpercent'] = '{$a->maxgrade} އަކުން {$a->grade} ({$a->percent}%)';
$string['outofshort'] = '{$a->grade}/{$a->maxgrade}';
$string['overallfeedback'] = 'ޖުމުލަ ގޮތެއްގައި ފާހަގަ ކުރެވުނު ކަންތައްތައް';
$string['overdue'] = 'މުއްދަތު ހަމަވެފައިވާ';
$string['overduehandling_link'] = 'mod/quiz/timing';
$string['pagesize'] = 'ޞަފްޙާއެއްގަ ދައްކަންވީ މަސައްކަތުގެ އަދަދު';
$string['parent'] = 'މައި';
$string['parsingquestions'] = 'އިމްޕޯޓްފައިލުން ސުވާލު ނެގެނީ';
$string['partiallycorrect'] = 'އެއްބައި ރަނގަޅު';
$string['penalty'] = 'އަދަބު';
$string['penaltyscheme'] = 'ޕެނަލްޓީތައް ލުމަށް';
$string['percentcorrect'] = 'ޕަސެންޓު ރަނގަޅު';
$string['pleaseclose'] = 'އެދުނު ކަންތައް ވެ ނިމިއްޖެ. މިހާރު މި ވިންޑޯ ކޮލޯސް ކުރެވިދާނެ';
$string['pluginname'] = 'ކުއިޒު';
$string['popup'] = 'ކުއިޒު ދައްކާ &quot;secure&quot; ވިންޑޯގަ';
$string['popupblockerwarning'] = 'ޓެސްޓް ބައި އިނީ ސެކިއަރ މޯޑްގަ. މާނައަކީ ޓެސްޓް ހެދޭނީ ސެކިއަރ ވިންޑޯއެއްގައި. ޕޮޕްއަޕް ބްލޮކަރ ނިވާލާ. ޝުކުރިއްޔާ!';
$string['popupnotice'] = 'ދަރިވަރުންނަށް މި ކުއިޒު ފެންނާނީ ރައްކާތެރި ވިންޑޯއެއް ގައި';
$string['preview'] = 'ޕްރިވިއު';
$string['previewquestion'] = 'ޕްރިވިއު ސުވާލު';
$string['previewquiz'] = 'ޕްރިވިއު ސުވާލު {$a}';
$string['previewquiznow'] = 'ކުއިޒުގެ ޕްރިވިއު މިހާރު ދައްކާ';
$string['previous'] = 'ކުރީގެ ޙާލަތު';
$string['publish'] = 'ޝާއިޢު ކުރުން/އާންމު ކުރުން';
$string['publishedit'] = 'މިބައިގައި (ކެޓަގަރީގައި) ސުވާލަކަށް ބަދަލު ގެނައުމަށް ނުވަތަ ސުވާލެއް އިތުރު ކުރުމަށްޓަކައި އާންމު ކުރެވިފައިވާ ކޯހަށް ހުއްދަ ލިބެން ޖެހޭނެ';
$string['qti'] = 'IMS QTI ފޯމެޓު';
$string['question'] = 'ސުވާލު';
$string['questioncats'] = 'ސުވާލުގެ ބައިތައް (ކެޓަގަރީތައް)';
$string['questiondeleted'] = 'މި ސުވާލު ވަނީ ފުހެލައިފައި. މިކަމާ ބެހޭގޮތުން މުދައްރިސާ ވާހަކަދައްކާ';
$string['questioninuse'] = '\'{$a->questionname}\' މި ސުވާލު މިވަގުތު މިހިރަ ކުއިޒު ތަކުގައި ބޭނުން ކުރެވެމުން ދަނީ: <br />{$a->quiznames}<br /> ސުވާލު ކުއިޒު ތަކަކުން ފުހެ އެއް ނުލެވޭނެ ނަމަވެސް ކެޓަގަރީ ލިސްޓުން (އަކަނި) ފުހެލެވޭނެ';
$string['questionname'] = 'ސުވާލުގެ ނަން';
$string['questions'] = 'ސުވާލުތައް';
$string['questionsinclhidden'] = 'ސުވާލުތައް (ފޮރުވިފައިވާ ސުވާލުތަކާއިވެސް އެކު)';
$string['questionsinthisquiz'] = 'މި ކުއިޒުގައި ހުރި ސުވާލުތައް';
$string['questionsperpage'] = 'ޞަފުޙާ އަކަށްވާ ސުވާލުތައް';
$string['questiontext'] = 'ސުވާލުގެ ލިޔުންތައް';
$string['questiontype'] = 'ސުވާލުގެ ވައްތަރު {$a}';
$string['questiontypesetupoptions'] = 'ސުވާލު ބާވަތުގެ އޮޕްޝަންތަކުގެ ސެޓްއަޕްހަދަން';
$string['quiz:attempt'] = 'މަސައްކަތްކުރެވޭ ކުއިޒްތައް';
$string['quiz:deleteattempts'] = 'ކުއިޒަށް ކުރެވުނު މަސައްކަތްތައް ފުހެލާ';
$string['quiz:emailconfirmsubmission'] = 'ސަބްމިޓު ކުރާއިރު އީމެއިލަކުން އެންގުން';
$string['quiz:emailnotifysubmission'] = 'ސަބްމިޝަންތަކުގެ ނޮޓިފިކޭޝަން އީމެއިލް ލިބޭގޮތް ހަދަން';
$string['quiz:grade'] = 'ކުއިޒަށް އަމިއްލައަށް (މެނުއަލް ކޮށް) ގުރޭޑު ދީ';
$string['quiz:ignoretimelimits'] = 'ކުއިޒުތަކުގައި ވަގުތު ހަމަވާ ގަޑި ނުބައިންދާ';
$string['quiz:manage'] = 'ކުއިޒުތައް ބެލެހެއްޓުން (މެނޭޖު ކުރުން)';
$string['quiz:preview'] = 'ކުއިޒުތަކުގެ ޕްރިވިއު ދެއްކުން';
$string['quiz:reviewmyattempts'] = 'ތިމާ ކޮށްފައިވާ މަސައްކަތްތައް އަލުން ބުލުން';
$string['quiz:view'] = 'ކުއިޒާ ބެހޭ މަޢުލޫމާތުތައް ބެލުން';
$string['quiz:viewreports'] = 'ކުއިޒުގެ ރިޕޯޓުތައް ބެލުން';
$string['quizavailable'] = '{$a} ހަމަޔަށް ކުއިޒު ފެންނަން ހުންނާނެ';
$string['quizclose'] = 'ކުއިޒު ނިންމާލާ';
$string['quizclosed'] = '{$a} ގައި ކުއިޒު ބަންދުވާނެ';
$string['quizcloses'] = 'ކުއިޒު ބަންދުކުރެވިފަ';
$string['quizcloseson'] = 'މި ކުއިޒު ބަންދު ކުރާނީ {$a} ގައި';
$string['quizopen'] = 'ކުއިޒު ހުޅުވާ';
$string['quizopenclose_link'] = 'mod/quiz/timing';
$string['quizopens'] = 'ކުއިޒު ހުޅުވޭނީ';
$string['quizsettings'] = 'ކުއިޒުގެ ސެޓިންތައް';
$string['quiztimer'] = 'ކުއިޒުގެ ޓައިމަރު';
$string['random'] = 'ހޮވާލެވޭ ސުވާލުތައް';
$string['randomcreate'] = 'ހޮވާލެވޭ ސުވާލު އުފެއްދުން';
$string['readytosend'] = 'ގުރޭޑު ކުރުމަށްޓަކައި މުޅި ކުއިޒު މިހާރު ތިޔަ ފޮނުވެނީ. ކުރިއަށް ގެންދަން ހަމަ ބޭނުންތަ؟';
$string['reattemptquiz'] = 'ކުއިޒަށް އަލުން މަސައްކަތް ކުރޭ';
$string['recentlyaddedquestion'] = 'އެންމެ ފަހުން އިތުރު ކުރި ސުވާލު!';
$string['recurse'] = 'ސަބްކެޓަގަރީތަކުން ވެސް ސުވާލުތައް ދައްކާ';
$string['regrade'] = 'ކުރި ހުރިހާ މަސައްކަތަކަށް އަލުން ގުރޭޑު ދީ';
$string['regradecomplete'] = 'ކުރި ހުރިހާ މަސައްކަތަކަށް ވަނީ ގުރޭޑު ދީފައި';
$string['regradecount'] = '{$a->attempt} ން {$a->changed} ގުރޭޑު ވަނީ ބަދަލުވެފައި';
$string['regradedisplayexplanation'] = 'އަލުން ގްރޭޑްކުރާއިރު ބަދަލުވާ މަސައްކަތްތައް ފެންނާނީ ސުވާލުގެ ރިވިއު ވިންޑޯ އަށް ދެވޭގޮތަށް ހައިޕަރލިންކްކުރެވިފަ';
$string['regradenotallowed'] = 'ތިބާ އަކަށް މި ކުއިޒު އަލުން ގުރޭޑު ކުރުމުގެ ހުއްދައެއް ނެތް';
$string['regradingquestion'] = '"{$a}" އައުބެހޭ ގޮތުން';
$string['regradingquiz'] = '"{$a}" ކުއިޒާ ބެހޭ ގޮތުން';
$string['remove'] = 'އުނި ކުރޭ';
$string['removeallquizattempts'] = 'ކުއިޒަށް ކުރެވުނު ހުރިހާ މަސައްކަތްތްކެއް ފުހެލާ';
$string['rename'] = 'ނަން ބަދަލު ކުރޭ';
$string['renderingserverconnectfailed'] = '{$a} ސާވަރަކަށް RQP ރިކުއެސްޓު ކުރިއަކަށް ނުގެންދެވުނު. URL ރަނގަޅުތޯ ބަލާލާ.';
$string['reordertool'] = 'އަލުން ތަރުތީބުކުރާ ޓޫލެއް ދައްކާ';
$string['repaginate'] = 'ކޮންމެ ޞަފްޙާއަކަށް {$a} ސުވާލުލާ';
$string['replace'] = 'ބަދަލުގައި ލާ';
$string['replacementoptions'] = 'ބަދަލުގައި ލާނެ ގޮތްތައް';
$string['report'] = 'ރިޕޯޓުތައް';
$string['reportanalysis'] = 'އައިޓަމް އެނަލިސިސް';
$string['reportfullstat'] = 'ތަފާސްހިސާބު ތަފްޞީލުކޮށް';
$string['reportmulti_percent'] = 'ބައިވަރު އިންސައްތަ';
$string['reportmulti_q_x_student'] = 'އެކި ދަރިވަރުންގެ ޙިޔާރުތައް';
$string['reportmulti_resp'] = 'ވަކިވަކި މީހުންގެ އިޖާބަތައް';
$string['reportoverview'] = 'އޯވަވިއު';
$string['reportregrade'] = 'މަސައްކަތްތައް އަލުން ގުރޭޑު ކުރޭ';
$string['reportresponses'] = 'އިޖާބަތައް ތަފްޞީލުކޮށް';
$string['reports'] = 'ރިޕޯޓުތައް';
$string['reportsimplestat'] = 'އާދައިގެ ތަފާސްހިސާބު';
$string['requirepassword'] = 'ޕާސްވޯޑު ބޭނުންވޭ';
$string['requiresubnet'] = 'ނެޓުވޯކު އެޑުރެސް ބޭނުންވޭ';
$string['response'] = 'އިޖާބަ';
$string['responses'] = 'އިޖާބަތައް';
$string['results'] = 'ނަތީޖާތައް';
$string['reuseifpossible'] = 'ކުރިން އުނިކުރި އެތި އަލުން ބޭނުން ކުރޭ';
$string['review'] = 'ރިވިއެ';
$string['reviewafter'] = 'ކުއިޒު ބަންދުކޮށްފަ ހުންނަގަޑީގަ ރިވިއުކުރެވޭގޮތަށް ހަދަން';
$string['reviewalways'] = 'ކޮންމެ އިރަކުވެސް ރިވިއުކުރެވޭގޮތަށް';
$string['reviewbefore'] = 'ކުއިޒު ހުޅުވިފަ ހުންނަގަޑީގަ ރިވިއުކުރެވޭގޮތަށް ހަދަން';
$string['reviewclosed'] = 'ކުއިޒު ބަންދު ކުރުމަށްފަހު';
$string['reviewimmediately'] = 'މަސައްކަތް ކުރުމަށްފަހު ހަމަ އެވަގުތު';
$string['reviewnever'] = 'އެއްގޮތަކަށްވެސް ރިވިއުނުކުރެވޭގޮތަށް';
$string['reviewofattempt'] = '{$a} މަސައްކަތުގެ ރިވިއު';
$string['reviewofpreview'] = 'ޕްރިވިއުގެ ރިވިއު';
$string['reviewopen'] = 'ފަހުން، ކުއިޒު ހުޅުވިފަ ހުންނަގަޑިއަކަށް';
$string['reviewoptions'] = 'ދަރިވަރުންނަށް ރިވިއުކުރެވޭގޮތަށް';
$string['reviewoptionsheading'] = 'އޮޕްޝަންތައް ރިވިއުކުރަން';
$string['reviewresponse'] = 'އިޖާބަތައް ރިވިއުކުރަން';
$string['reviewresponsetoq'] = 'އިޖާބަތައް ރިވިއު ކުރަން (ސުވާލު {$a})';
$string['rqp'] = 'ރިމޯޓު ސުވާލު';
$string['rqps'] = 'ރިމޯޓު ސުވާލުތައް';
$string['save'] = 'ސޭވު';
$string['saveandedit'] = 'ގެނައި ބަދަލުތައް ސޭވު ކުރުން އަދި ސުވާލުތަކަށް ބަދަލު ގެނައުން';
$string['savedfromdeletedcourse'] = 'ފުހެލައިފައިވާ ކޯސް  "{$a}" އިން ސޭވު ކުރުން';
$string['savegrades'] = 'ގުރޭޑުތައް ސޭވު ކުރޭ';
$string['savemyanswers'] = 'ޖަވާބުތައް ސޭވު ކުރޭ';
$string['savenosubmit'] = 'ސަބްމިޓު ނުކޮށް ސޭވު ކުރޭ';
$string['savequiz'] = 'މުޅި މި ކުއިޒު ސޭވު ކުރޭ';
$string['score'] = 'ރޯ ސްކޯރ';
$string['scores'] = 'ނަތީޖާތައް (ސްކޯތައް)';
$string['select'] = 'ނަގާ';
$string['selectall'] = 'ހުރިހާ އެއްޗެއް ނަގާ';
$string['selectedattempts'] = 'ނަގައިފައިވާ މަސައްކަތްތަކުގެ ޢަދަދު...';
$string['selectnone'] = 'ހުރިހާ އެއްޗެއް ޚިޔާރުނުކުރަން';
$string['serveradded'] = 'ސާވަރެއް އިތުރު ކޮށްފި';
$string['serveridentifier'] = 'އައިޑަންޓިފަޔަރ';
$string['serverinfo'] = 'ސާވަރާ ބެހޭ މަޢުލޫމާތު';
$string['servers'] = 'ސާވަރުތައް';
$string['serverurl'] = 'ސާވަރުގެ URL';
$string['shortanswer'] = 'ކުރު ޖަވާބު';
$string['show'] = 'ދައްކާ';
$string['showall'] = 'ހުރިހާ ސުވާލުތަކެއް އެއް ޞޮފުޙާގައި ދައްކާ';
$string['showbreaks'] = 'ޞަފުޙާ ވަކި ކުރުންތައް (ޕޭޖު ބްރޭކް) ދައްކާ';
$string['showcorrectanswer'] = 'ޖަވާބަށް ފާޅު ކުރެވޭ ޚިޔާލާ އެކު ރަނގަޅު ޖަވާބުތައް ދައްކާ';
$string['showdetailedmarks'] = 'މާކު ކުރި ތަފްޞީލު ދައްކާ';
$string['showfeedback'] = 'ޖަވާބަށްފަހު ފާޅު ކުރެވޭ ޚިޔާލު ދައްކާ';
$string['shownoattempts'] = 'ކުއިޒަށް އެއްވެސް މަސައްކަތެއް ނުކުރާ ކުދިން ދައްކާ';
$string['shownoattemptsonly'] = 'މަސައްކަތް ނުކޮށް ހުރި ދަރިވަރުން ދައްކާ';
$string['showteacherattempts'] = 'ކުއިޒަށް މުދައްރިސް ކޮށްފައިވާ މަސައްކަތްތައް ދައްކާ';
$string['shuffle'] = 'އޮޅުވާލަން';
$string['shuffleanswers'] = 'ޖަވާބުތައް އޮޅުވާލަން';
$string['shufflequestions'] = 'ސުވާލުތައް އޮޅުވާލަން';
$string['shufflewithin'] = 'ސުވާލުތެރޭގަ އޮޅުވާލަން';
$string['singleanswer'] = 'އެއްޖަވާބު އިޚްތިޔާރު ކުރޭ';
$string['sortage'] = 'އުމުރުން ތަރުތީބު ކުރޭ';
$string['sortalpha'] = 'ނަމުން ތަރުތީބު ކުރޭ';
$string['sortsubmit'] = 'ސުވާލުތައް ތަރުތީބު ކުރޭ';
$string['sorttypealpha'] = 'ވައްތަރުން، ނަމުން ތަރުތީބު ކުރޭ';
$string['startagain'] = 'އަލުން ފައްޓާ';
$string['startedon'] = 'ފަށާފައިވަނީ';
$string['stoponerror'] = 'މައްސަލަ އަކަށް ހުއްޓާ';
$string['submitallandfinish'] = 'ހުރިހާ އެއްޗެއް ސަބްމިޓްކޮށް ނިންމާލަން';
$string['subneterror'] = 'ސޮރީ، މި ކުއިޒު ވަނީ ލޮކު ކުރެވިފައި އެހެން ކަމުން މި ކުއިޒަށް ވަދެވޭނީ ވަކި ޚާއްސަ ތަންތަނަކުން. މިވަގުތު ތިޔަ ކޮމްޕިއުޓަރަކީ މި ކިއުއިޒު ބޭނުން ކުރުމަށް ހުއްދަ ދެވިފައިވާ ކޮމްޕިއުޓަރެއް ނޫން.';
$string['subnetnotice'] = 'މި ކުއިޒު ވަނީ ލޮކު ކުރެވިފައި އެހެން ކަމުން މި ކުއިޒަށް ވަދެވޭނީ ވަކި ޚާއްސަ ތަންތަނަކުން. ތިޔަ ކޮމްޕިއުޓަރު ވަނީ ހުއްދަ ދެވިފައިވާ ސަބްނެޓެއްގައެއް ނޫން. ޓީޗަރުންނަށްޕްރިޗިއު ބެލޭނެ.';
$string['substitutedby'] = 'ބަދަލުގައި ލާނީ';
$string['summaryofattempts'] = 'ކުރިން ކުރެވުނު މަސައްކަތްތަކުގެ ޚުލާސާއެއް';
$string['temporaryblocked'] = 'ކުއިޒަށް އަލުން މަސައްކަތް ކުރުމުގެ ހުއްދަ ވަނީ ވަގުތީ ގޮތުން ކަނޑާލެވިފައި.<br /> ދެން ކުއިޒަށް މަސައްކަތެއް ކުރެވޭނީ:';
$string['time'] = 'ވަގުތު';
$string['timecompleted'] = 'ނިންމައިފައި';
$string['timedelay'] = 'މި ކުއިޒު ހެދުމުގެ ހުއްދައެއްނެތް ސަބަބަކީ އެހެން ކުއިޒެއް ހަދަން ދިޔަވަޤުތު މާ ގިންވުމުން';
$string['timeleft'] = 'ބާކީ ހުރި ވަގުތު';
$string['timelimit'] = 'ދެވިފައިވާ ވަގުތު';
$string['timelimit_link'] = 'mod/quiz/timing';
$string['timelimitexeeded'] = 'ސޮރީ، ކުއިޒަށް ވީ ވަގުތު ހަމަވެގެން ގޮސްފި';
$string['timestr'] = '%H:%M:%S on %d/%m/%y';
$string['timesup'] = 'ވަގުތު ހަމަވެއްޖެ';
$string['timetaken'] = 'ހޭދަވި ވަގުތު';
$string['tofile'] = 'ފައިލަށް';
$string['tolerance'] = 'ޓޮލަރަންސް';
$string['toomanyrandom'] = 'ކެޓަގަރީގައި ހިމެނޭ ސުވާލުތައް ބޭނުންވާވަރަށް ވުރެން މަދު';
$string['top'] = 'މަތި';
$string['true'] = 'ރަނގަޅު';
$string['truefalse'] = 'ރަނގަޅު/ނުބައި';
$string['type'] = 'ވައްތަރު';
$string['unfinished'] = 'ހުޅުވާ';
$string['ungraded'] = 'ގުރޭޑު ނުކޮށް';
$string['unit'] = 'ޔުނިޓު';
$string['unknowntype'] = 'ލައިން {$a} ގައ ސަޕޯޓްނުކުރާ ސުވާލުގެ ބާވަތް. ސުވާލު ދޫކޮށްލެވޭނެ.';
$string['updatesettings'] = 'ކުއިޒުގެ ސެޓިންތައް އަޕްޑޭޓު ކުރޭ';
$string['upgradesure'] = '<div style="color: red;"> ކުއިޒް މޮޑިއުލް އިން ކުއިޒް ޓޭބަލްއަށް ފާހަގަކުރެވޭވަރުގެ ބަދަލުގެންނާނެ. މި ބަދަލުތައް ގެނައުމުގެ ކުރިން ޑޭޓާބޭސް ބެކްއަޕް ކުރަންވާނެ. </div>';
$string['url'] = 'URL';
$string['usedcategorymoved'] = 'މި ކެޓަގަރީ އެހެން ކޯސްތަކުން ބޭނުން ކުރެވެމުންދާތީ އަދި ޝާއިޢުވެސް ކުރެވިފައިވާތީ މި ކެޓަގަރީވަނީ ރައްކާތެރިކުރެވިފަ';
$string['validate'] = 'ސައްޙަތޯ ބަލާ';
$string['viewallanswers'] = '{$a} ގެ ކުއިޒު މަސައްކަތްތައް ބަލާ';
$string['viewallreports'] = '{$a} މަސައްކަތްތަކުގެ ރިޕޯޓު ބަލާ';
$string['warningmissingtype'] = 'މިއީ އަދި މި މޫޑުލް އަށް އަޅާފައިވާ ވައްތަރުގެ ސުވާލެއް ނޫން.<br /> މޫޑުލް އެޑްމިނިސްޓުރޭޓާގެ ސަމާލުކަމަށް ގެނޭ.<br />';
$string['wheregrade'] = 'އަހަރެންގެ ގުރޭޑު ކޮބާ؟';
$string['wildcard'] = 'ވައިލްކާރޑް';
$string['withsummary'] = 'ތަފާސްހިސާބުގެ ޚުލާސާއާއެކު';
$string['wronguse'] = 'މި ޞަފުޙާ ތިގޮތަކަށް ބޭނުމެއް ނުކުރެވޭނެ';
$string['xhtml'] = 'XHTML ފޯމެޓު';
$string['youneedtoenrol'] = 'މި ކުއިޒަށް މަސައްކަތް ކުރުމުގެ ކުރިން މި ކޯހަށް އެންރޯލު ވާން ޖެހޭނެ';
$string['yourfinalgradeis'] = 'މި ކުއިޒުގެ އެންމެ ފަހުގެ ގުރޭޑަކީ {$a}.';
